> ## Documentation Index
> Fetch the complete documentation index at: https://docs.der-connect.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the battery capacity of an Entity

> Set the battery capacity of an Entity and returns the updated battery capacity of that Entity



## OpenAPI

````yaml put /v1/entities/{entityId}/battery-capacity
openapi: 3.0.4
info:
  title: DER Connect Entities API
  description: Provides endpoints to manage entities.
  version: '1.0'
servers:
  - url: https://api.traxes.io/connect
security:
  - bearerAuth: []
paths:
  /v1/entities/{entityId}/battery-capacity:
    put:
      tags:
        - Battery capacity
      summary: Update the battery capacity of an Entity
      description: >-
        Set the battery capacity of an Entity and returns the updated battery
        capacity of that Entity
      operationId: SetBatteryCapacityEndpoint
      parameters:
        - name: entityId
          in: path
          description: The id of the Entity
          required: true
          schema:
            type: string
            format: uuid
          example: 5a554157-5a5a-4547-384c-423033333139
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Connect.Service.Entity.App.Endpoints.V1.EntityDisaggregators.EntityBatteryCapacityRequest
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Connect.Service.Entity.App.Endpoints.V1.BatteryCapacity.EntityBatteryCapacity
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Connect.Errors.Results.ConnectApiErrorResult
components:
  schemas:
    Connect.Service.Entity.App.Endpoints.V1.EntityDisaggregators.EntityBatteryCapacityRequest:
      required:
        - batteryCapacity
      type: object
      properties:
        batteryCapacity:
          type: number
          description: The capacity of the battery.
          format: double
      additionalProperties: false
      description: A request to modify the battery capacity of an Entity
    Connect.Service.Entity.App.Endpoints.V1.BatteryCapacity.EntityBatteryCapacity:
      required:
        - batteryCapacity
      type: object
      properties:
        batteryCapacity:
          type: number
          description: The capacity of the battery.
          format: double
      additionalProperties: false
      description: The battery capacity of an Entity
    Connect.Errors.Results.ConnectApiErrorResult:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Connect.Errors.Results.ConnectApiError'
          nullable: true
      additionalProperties: false
    Connect.Errors.Results.ConnectApiError:
      type: object
      properties:
        code:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      description: Access Token Authentication
      scheme: bearer
      bearerFormat: JWT

````